//+----------------------------------------------------------------------------+
//|                                                          AverageRange.mq4  |
//|                                                      . aka KimIV  |
//|                                                       http://www.kimiv.ru  |
//|                                                                            |
//|  14.09.2005    :                                           |
//|                 High-Low                    |
//|                        ABS(Open-Close)             |
//|                                                    |
//|                                                                            |
//|  17.11.2007                |
//+----------------------------------------------------------------------------+
#property copyright "  . aka KimIV"
#property link      "http://www.kimiv.ru"
#property show_inputs

extern datetime BeginDateCalc = D'2014.01.01';
extern datetime EndDateCalc   = D'2014.08.14';
extern int      NumberOfBars  = 100;         


//+----------------------------------------------------------------------------+
//|  script program start function                                             |
//+----------------------------------------------------------------------------+
void start() {
  int    i, b=0, bb=0, h=0, l=0, s=0, t=0;
  string st="";

  for (i=Bars; i>0; i--) {
    if ((Time[i]>=BeginDateCalc && Time[i]<=EndDateCalc && NumberOfBars<=0)
    || (NumberOfBars>0 && NumberOfBars>=i)) {
      if (bb==0) bb=i;
      s+=(High[i]-Low[i])/Point;
      t+=MathAbs(Open[i]-Close[i])/Point;
      if (Open[i]>Close[i]) {
        h+=(High[i]-Open[i])/Point;
        l+=(Close[i]-Low[i])/Point;
      } else {
        h+=(High[i]-Close[i])/Point;
        l+=(Open[i]-Low[i])/Point;
      }
      b++;
    }
  }

  st=     ": "+TimeToStr(Time[bb], TIME_DATE|TIME_MINUTES)+"\n";
  st=st+": "+TimeToStr(Time[bb-b+1], TIME_DATE|TIME_MINUTES)+"\n";
  st=st+" : "+b+"\n";
  st=st+" : "+s/b+ " .\n";
  st=st+"  : "+t/b+" .\n";
  st=st+"   : "+h/b+" .\n";
  st=st+"   : "+l/b+" .";

  Comment(st);
}
//+----------------------------------------------------------------------------+

